//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "__headers.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm2 *Form2;
//---------------------------------------------------------------------------
__fastcall TForm2::TForm2(TComponent* Owner)    //Konstruktor
        : TForm(Owner)
{
  this->controller = new ControllerOptions(this, Form1->getController());  //Model fr Einstellungen erstellen
}


//Setzt die Farbe des ersten Spielers
void __fastcall TForm2::button_farbe_spieler1Click(TObject *Sender)
{
  this->farbauswahl->Execute();                //Farbauswahl anzeigen
  this->farbe_spieler1->Color =  this->farbauswahl->Color;  //gewhlte Farbe bernehmen
}


//Setzt die Farbe des zweiten Spielers
void __fastcall TForm2::button_farbe_spieler2Click(TObject *Sender)
{
  this->farbauswahl->Execute();               //Farbauswahl anzeigen
  this->farbe_spieler2->Color =  this->farbauswahl->Color;  //gewhlte Farbe bernehmen
}


//Behandelt den Klick des OK-Buttons
void __fastcall TForm2::button_okClick(TObject *Sender)
{
  this->controller->ok();             //an Controller delegieren
}


//Einstellen der Hintergrundfarbe
void __fastcall TForm2::button_farbe_hintergrundClick(TObject *Sender)
{
  this->farbauswahl->Execute();     //Farbauswahl anzeigen
  this->farbe_hintergrund->Color = this->farbauswahl->Color; //gewhlte Farbe bernehmen
}


//Alles auf Standarteinstellungen setzen
void __fastcall TForm2::button_resetClick(TObject *Sender)
{
 this->controller->reset();
}


//Einstellungen exportieren
void __fastcall TForm2::button_exportClick(TObject *Sender)
{
   this->controller->exportSettings();
}


//Importieren der Einstellungen
void __fastcall TForm2::button_importClick(TObject *Sender)
{
  this->controller->importSettings();
}



//Formular initialisieren
void __fastcall TForm2::FormCreate(TObject *Sender)
{
   this->controller->init();
}


//Farbe eines leeren Felds ndern
void __fastcall TForm2::button_farbe_leeresfeldClick(TObject *Sender)
{
  this->farbauswahl->Execute();    //Farbdialog anzeigen
  this->farbe_leeresfeld->Color =  this->farbauswahl->Color;  //Gewhlte Farbe bernehmen
}


//Wenn der Typ des ersten Spielers gender wird, wird diese Methode ausgefhrt
void __fastcall TForm2::typ_spieler1Click(TObject *Sender)
{
  this->controller->changeTypeOfPlayer(1);
}

//Wenn der Typ des zweiten Spielers gender wird, wird diese Methode ausgefhrt
void __fastcall TForm2::typ_spieler2Click(TObject *Sender)
{
  this->controller->changeTypeOfPlayer(2);
}



//Schwierigkeitsstufe des ersten PCs ndern
void __fastcall TForm2::dif_pc1Click(TObject *Sender)
{
 this->controller->setRestartOnSave(true);          //Neustart, weil Schwierigkeit gendert wurde
}


//Schwierigkeitsstufe des zweiten PCs ndern
void __fastcall TForm2::dif_pc2Click(TObject *Sender)
{
 this->controller->setRestartOnSave(true);          //Neustart, weil Schwierigkeit gendert wurde
}


//Schlieen des Optionsmens
void __fastcall TForm2::FormClose(TObject *Sender, TCloseAction &Action)
{
  //Das Schlieen des Optionsmens soll das gleiche wie ein Klick auf OK bewirken.
  this->controller->ok();
}



