//Die Klasse Computer wird von der abstrakten Klasse Spieler abgeleitet
//und reprsentiert einen PC-Spieler.
//Es gibt verschiedene Schwierigkeitsstufen

class Computer : public Spieler
{
    private:
      unsigned int schwierigkeit; // 1 = Einfach, 2 = Schwer

    public:
      Computer() : Spieler("Computer")
      {
        this->schwierigkeit = 2;   //Standart = schwer
      };

      Computer(int s) : Spieler("Computer")
      {
        this->schwierigkeit = s;     //Schwierigkeit als Konstruktorparameter
      }

      AnsiString getType()
      {
        return "Computer";           //Spielertyp zurckgeben
      }

      unsigned int getSchwierigkeit()
      {
        return this->schwierigkeit;  //Schwierigkeit zurckgeben
      }

      void setSchwierigkeit(unsigned int s)     //Schwierigkeit setzen
      {
        if(s == 1 || s == 2)
        {
          this->schwierigkeit = s;
        }
        else
        {
          throw "Diese Schwierigkeit existiert nicht!";   //Exception
        }
      }

};
 