/*
  Diese Klasse bietet eine Schnittstelle fr die Speicherung der
  Optionen.
*/
class ModelOptions
{
   public:
     ModelOptions() { }            //Konstruktor
     void setINIPath(AnsiString);  //Setzt den INI-Pfad
     AnsiString getINIPath();      //Gibt den INI-Pfad zurck
};

//Gibt den INI-Pfad zurck
AnsiString ModelOptions::getINIPath()
{
    //Zugriff auf INI ber TIniFile
    TIniFile* pathstorageINI = new TIniFile( ExtractFilePath(Application->ExeName)+"pathinfo.ttt");

    //Pfad zur Einstellungsdatei auslesen
    AnsiString ret = pathstorageINI->ReadString("path", "config_ini", "");

    //Speicher freigeben
    delete pathstorageINI;

    //Ausgelesenen Wert zurckgeben
    return ret;

}

//Setzt den INI-Pfad
void ModelOptions::setINIPath(AnsiString path)
{
    //Es soll gespeichert werden, welche INI der Benutzer whlt
    //So kann diese beim nchsten Start automatsich geladen werden

    //Zugriff auf INI ber TIniFile
    TIniFile* pathstorageINI = new TIniFile( ExtractFilePath(Application->ExeName)+"pathinfo.ttt");

    //Speichern des Pfads der INI
    pathstorageINI->WriteString("path", "config_ini", path);

    //aufrumen
    delete pathstorageINI;
}
