//MODEL

/*
   Diese Klasse ist abstrakt,
   weil sie nur als Interface fr die weiteren Spielerklassen dient.
   Sie enthlt alle Methoden und Attribute, die alle Kindklassen auch
   bentigen.
*/
/* abstract */ class Spieler
{
  protected:
    AnsiString name;                //Spielername
    TColor color;                   //Spielerfarbe

  public:
    Spieler(AnsiString name)        //Konstruktor mit Name als Parameter
    {
     this->setName(name);           //Name setzen
    }

    void setName(AnsiString name);  //Name setzen
    AnsiString getName();           //Name zurckgeben

    void setColor(TColor);          //Farbe setzen
    TColor getColor();              //Farbe zurckgeben

    virtual AnsiString getType() = 0;  //Abstrakte Methode zur Typermittlung
};

void Spieler::setName(AnsiString n)
{
   this->name = n;                  //Name zuweisen
}

AnsiString Spieler::getName()
{
  return this->name;               //Name zurckgeben
}

TColor Spieler::getColor()
{
       return this->color;         //Farbe zurckgeben
}

void Spieler::setColor(TColor cl)
{
 this->color = cl;                 //Farbe setzen
}
