//---------------------------------------------------------------------------

#ifndef tictactoeH
#define tictactoeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>

class Controller;

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
        TMainMenu *MainMenu1;
        TMenuItem *Spiel1;
        TMenuItem *Optionen1;
        TMenuItem *Neu1;
        TMenuItem *Hilfe1;
        TMenuItem *Info1;
        TMenuItem *Anleitung1;
        TMenuItem *Beenden1;
        TPanel *panel_feldcontainer;
        TLabel *label_status;
        TLabel *label_spielzuege;
        TLabel *label_spielerfarbe;
        TLabel *label_spieldauer;
        TTimer *Timer1;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Optionen1Click(TObject *Sender);
        void __fastcall Beenden1Click(TObject *Sender);
        void __fastcall Neu1Click(TObject *Sender);
        void __fastcall Info1Click(TObject *Sender);
        void __fastcall Anleitung1Click(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
private:	// Anwender-Deklarationen

        void __fastcall TForm1::onClick(TObject *Sender);

        void __fastcall adjust(TObject *Sender);
        Controller* controller;
public:		// Anwender-Deklarationen
        __fastcall TForm1(TComponent* Owner);
        Controller* getController();
        void RefreshField();
        void setStatusMessage(AnsiString);
        void showSpielzuege(int);
        void placeElements();
        void setSpielerfarbeVorschau(TColor);
        void resetSpielerfarbeVorschau();
        void showTimerData(int min, int sec);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
